org.apache.cassandra.cache

## Interface AutoSavingCache.IStreamFactory

- Enclosing class:
    AutoSavingCache<K extends CacheKey,V>

      public static interface AutoSavingCache.IStreamFactory

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.InputStream` | `getInputStream(java.io.File dataPath, java.io.File crcPath)`
    `java.io.OutputStream` | `getOutputStream(java.io.File dataPath, java.io.File crcPath)`

- - ### Method Detail

    - #### getInputStream

          java.io.InputStream getInputStream(java.io.File dataPath,
                                             java.io.File crcPath)
                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getOutputStream

          java.io.OutputStream getOutputStream(java.io.File dataPath,
                                               java.io.File crcPath)
                                        throws java.io.FileNotFoundException

      Throws:
        `java.io.FileNotFoundException`

Copyright © 2018 The Apache Software Foundation